Subject: Re: bug#74202: 31.0.50; package-el fails to delete outdated elpa packages

From: Eli Zaretskii <[email-masked]>
Date: Mon, 04 Nov 2024 15:01:48 +0200

> From: Johann Höchtl <[email-masked]>
> Date: Mon, 4 Nov 2024 09:00:31 +0100
> 
> Using Windows ucrt mps emacs build from
> 
> https://github.com/kiennq/emacs-build/releases/tag/v31.319.20241101.0cb75cf
> 
>  
> 
> Since like two months or so, most notably package-el, but also other file deleting operations like expiring eww
> cache, fails to delete files in .emacs directory on Windows. The error message is "permission denied". I do
> run emacs as the interactively logged in user. FWIW I start emacs from a bash command line as
> runemacs.exe
> 
>  
> 
> Manually deleting files from within dired in the .emacs-directory works so I do not think it is a permission
> issue.

Thanks, but that site has local patches to Emacs, and two months is a
very long time.  It also uses UCRT, which is not really supported for
the Windows builds, as we have no one who'd agree to maintain such a
build and take care of any issues that arise with it.

So to investigate this issue someone with access to that build should
catch these errors in a debugger and show the details: which file
cannot be removed, what is the Windows error code when we try to
remove it, etc.